%global shortname crypto-util

Name:           jenkins-crypto-util
Version:        1.4
Release:        %mkrel 8
Summary:        Jenkins crypto-util library
Group:          Development/Java

# License is specified in pom file
License:        MIT
URL:            https://github.com/jenkinsci/lib-crypto-util
Source0:        https://github.com/jenkinsci/lib-%{shortname}/archive/%{shortname}-%{version}.tar.gz
# License text copied from http://jenkins-ci.org/mit-license
Source1:        LICENSE.txt
# PKIXTest uses real certificates for testing, which comes with expiration dates
Patch0:         new-certs.patch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-codec:commons-codec)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(junit:junit)

BuildArch:      noarch

%description
This package provides utility wrapper around Java Crypto API.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package provides the API documentation for %{name}.


%prep
%setup -q -n lib-%{shortname}-%{shortname}-%{version}

%patch0 -p1

cp %{SOURCE1} LICENSE

# Nothing really useful in parent
%pom_remove_parent
%pom_xpath_inject "pom:project" "<groupId>org.jenkins-ci</groupId>"

#(daviddavid) disable test who fails on our autobuild and BS
find . -name "PKIXTest.java" -delete

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE


%changelog
* Thu May 12 2016 daviddavid <daviddavid> 1.4-8.mga6
+ Revision: 1014058
- disable test who fails

* Fri Mar 11 2016 neoclust <neoclust> 1.4-7.mga6
+ Revision: 989043
- Rebuild against fixed jenkins
- Second rebuild of the java stack

* Mon Feb 29 2016 daviddavid <daviddavid> 1.4-5.mga6
+ Revision: 980673
- First rebuild of the java stack
- sync package jenkins-crypto-util with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Jan 14 2015 daviddavid <daviddavid> 1.4-4.mga5
+ Revision: 810704
- disable failed tests (fix build)
- fix Group
- rebuild against current java-stack

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Fri May 09 2014 dmorgan <dmorgan> 1.4-1.mga5
+ Revision: 621667
- imported package jenkins-crypto-util


* Fri Mar 21 2014 Michal Srb <msrb@redhat.com> - 1.4-1
- Update to upstream version 1.4

* Wed Feb 26 2014 Michal Srb <msrb@redhat.com> - 1.3-1
- Update to upstream version 1.3
- Enable tests

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 10 2013 Michal Srb <msrb@redhat.com> - 1.1-1
- Initial package

